accrue.analysis.pointer

## Class PointsToStmt

- java.lang.Object
- - accrue.analysis.pointer.PointsToStmt

- Direct Known Subclasses:
    StmtAllocToLocal, StmtFieldToLocal, StmtFilteredLocalToLocal, StmtLocalToField, StmtLocalToLocal, StmtProcedureCall

      public abstract class PointsToStmt
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `polyglot.util.Position` | `origin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointsToStmt(polyglot.util.Position origin, polyglot.types.CodeInstance code, polyglot.types.Type leftType, polyglot.types.Type rightType, boolean isRightTypePrecise)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `abstract boolean` | `process(CContext context, PointsToGraph g, StmtRegistrar registrar, HeapAbstractionFactory af, PointsToEngine.StmtAndContext sac)` Add appropriate edges to the graph g given the context for the LocalNodes and ThisNode.
    `abstract java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### origin

          public final polyglot.util.Position origin

  - ### Constructor Detail

    - #### PointsToStmt

          public PointsToStmt(polyglot.util.Position origin,
                      polyglot.types.CodeInstance code,
                      polyglot.types.Type leftType,
                      polyglot.types.Type rightType,
                      boolean isRightTypePrecise)

  - ### Method Detail

    - #### process

          public abstract boolean process(CContext context,
                        PointsToGraph g,
                        StmtRegistrar registrar,
                        HeapAbstractionFactory af,
                        PointsToEngine.StmtAndContext sac)

      Add appropriate edges to the graph g given the context for the LocalNodes and ThisNode. Return true if and only if changes were made to the graph

    - #### toString

          public abstract java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`